ランタイム: Mix::Scene Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Mix::Scene Namespace Reference

シーン More...

## Classes

struct | BLUR
| ブラー構造体 More...
struct | BRIGHT_PASS
| ブライトパス構造体 More...
struct | CAMERA_CONFIG
| カメラ設定構造体 More...
struct | DEBUG_PROFILE_CAMERA_DRAW_NEUTRALITY
| デバッグ : カメラ : 不透明描画と半透明描画( 屈折描画含む )の間の描画プロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_DRAW_OPACITY
| デバッグ : カメラ : 不透明描画プロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_DRAW_REFRACT
| デバッグ : カメラ : 屈折描画プロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY
| デバッグ : カメラ : 半透明プロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_GENERAL
| デバッグ : カメラ : ジェネラルプロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_LIGHT
| デバッグ : カメラ : ライトプロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_MODEL
| デバッグ : カメラ : モデルプロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_OCTREE
| デバッグ : カメラ : 八分木プロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_POST_PROCESS
| デバッグ : カメラ : ポストプロセスプロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_PROJ_SHADOW
| デバッグ : カメラ : シャドウ投影プロファイル構造体 More...
struct | DEBUG_PROFILE_CAMERA_WATER_POOL
| デバッグ : カメラ : ウォータープールプロファイル More...
struct | DEBUG_PROFILE_CAMERA_WIDGET
| デバッグ : カメラ : ウィジェットプロファイル構造体 More...
struct | DEBUG_PROFILE_RENDERER_DYNAMICS
| デバッグ : レンダラー : ダイナミクスプロファイル構造体 More...
struct | DEBUG_PROFILE_RENDERER_GENERAL
| デバッグ : レンダラー : ジェネラルプロファイル構造体 More...
struct | DEBUG_PROFILE_RENDERER_OCTREE
| デバッグ : レンダラー : 八分木プロファイル構造体 More...
struct | DYNAMICS_CONTACT_POINT
| 接触ポイント構造体 More...
class | IActorCollider
| アクターコライダーインターフェース More...
class | IActorConstraint
| アクターコンストレイントインターフェース More...
class | IActorDynamicsDirector
| アクターダイナミクスディレクターインターフェース More...
class | IActorKinematicCharacter
| アクターキネマティックキャラクター More...
class | IActorListener
| アクターリスナーインターフェース More...
class | IActorModel
| アクターモデルインターフェース More...
class | IActorNode
| アクターノードインターフェース More...
class | IActorSensor
| アクターセンサーインターフェース More...
class | IAtmosphereScatter
| 大気スキャッターインターフェース More...
class | IBillboardParticleSystem
| ビルボードパーティクルシステムインターフェース More...
class | ICamera
| カメラインターフェースインクルードファイル More...
class | ICollider
| コライダーインターフェース More...
class | IContactListener
| コンタクトリスナーインターフェース More...
class | IDefaultMaterial
| デフォルトマテリアルインターフェース More...
class | IDefaultParticleSystem
| デフォルトパーティクルプロデューサーインターフェース More...
class | IDirectionalLight
| ディレクショナルライトインターフェース More...
class | IDynamicsObject
| ダイナミクスオブジェクトインターフェース More...
class | IDynamicsWorld
| ダイナミクスワールドインターフェース More...
class | IEffectPackage
| エフェクトパッケージインターフェース More...
class | IEntity
| エンティティインターフェース More...
class | IFloor
| フロアインターフェース More...
class | IFlowerPackage
| フラワーパッケージインターフェース More...
class | IGhost
| ゴーストインターフェース More...
class | IHemisphereLight
| 半球ライトインターフェース More...
class | IKinematicCharacter
| キネマティックキャラクターインターフェース More...
class | IKineticCollider
| キネティックコライダー More...
class | ILeavingParticle
| リービングパーティクルインターフェース More...
class | ILibertyCollider
| リバティコライダーインターフェース More...
class | ILight
| ライトインターフェース More...
class | ILightShaftsCaster
| ライトシャフトキャスターインターフェース More...
class | ILocalLight
| ローカルライトインターフェース More...
class | IManager
| シーンマネージャインターフェース More...
class | IMaterial
| マテリアルインターフェース More...
class | IModel
| モデルインターフェース More...
class | IMotion
| モーションインターフェース More...
class | IMotionController
| モーションコントローラーインターフェース More...
class | IMotionListener
| モーションリスナーインターフェース More...
class | IMotionMixer
| モーションミキサーインターフェース More...
class | IMotionState
| モーションステートインターフェース More...
class | INode
| ノードインターフェース More...
class | IParticle
| パーティクルインターフェース More...
class | IParticleGenerator
| パーティクルジェネレータータインターフェース More...
class | IParticleProcessor
| パーティクルプロセッサーインターフェース More...
class | IParticleSystem
| パーティクルシステムタインターフェース More...
class | IPlanter
| プランターインターフェース More...
class | IPointLight
| ポイントライトインターフェース More...
class | IRenderer
| レンダラーインターフェース More...
class | IRendererObject
| レンダラーオブジェクトインターフェースインクルードファイル More...
class | IScatterParticle
| スキャッターパーティクルインターフェース More...
class | ISensor
| センサーインターフェース More...
class | ISimpleCollider
| シンプルコライダーインターフェース More...
class | ISimpleKinematicCharacter
| シンプルキネマティックキャラクター More...
class | ISimpleParticleSystem
| シンプルパーティクルシステムインターフェース More...
class | ISimpleSensor
| シンプルセンサーインターフェース More...
class | ISkyDome
| スカイドームインターフェース More...
class | ISpotLight
| スポットライトインターフェース More...
class | ITerrainCollider
| テラインコライダーインターフェース More...
class | ITerrainModel
| テラインモデルインターフェース More...
class | IUniversalCamera
| ユニバーサルカメラインターフェース More...
class | IViewCamera
| ビューカメラインターフェース More...
class | IWaterPool
| ウォータープールインターフェース More...
class | IWaterPoolContext
| ウォータープールコンテキストインターフェース More...
class | IWidget
| ウィジェットインターフェース More...
struct | MOTION_COMMAND
| モーションコマンド構造体 More...
struct | MOTION_ENTRY_DESC
| モーションエントリー構造体 More...
struct | MOTION_HANDLE
| モーションハンドル構造体 More...
struct | RENDERER_CONFIG
| レンダラー設定構造体 More...
struct | RENDERER_OCTREE_CONFIG
| レンダラー : 八分木設定構造体 More...

## Enumerations

enum | MOTION_CONSTANT { MOTION_INFINITE_LOOP = 0xFFFFFFFF }
| モーションの列挙定数 More...
enum | MOTION_RT_FLAG { MOTION_RT_ROTATION = 0x00000001, MOTION_RT_TRANSLATION = 0x00000002 }
| モーションのルートトランスフォームフラグ列挙定数 More...

enum

MOTION_CONDITION_FLAG {
MOTION_COND_WATING = 0x00000001, MOTION_COND_ACTIVE = 0x00000002, MOTION_COND_CURRENT = 0x00000004, MOTION_COND_ALL = ( MOTION_COND_WATING | MOTION_COND_CURRENT ),
MOTION_COND_CUR_ACTIVE = ( MOTION_COND_CURRENT | MOTION_COND_ACTIVE )
}

| モーション状態フラグ列挙定数 More...
enum | MOTION_COMMAND_EXECUTE_TYPE { MOTION_CE_DEFAULT = 0, MOTION_CE_EARLY = 1, MOTION_CE_FORCE = 2 }
| モーションコマンンド実行タイプ列挙定数 More...

enum

MOTION_COMMAND_FLAG {
MOTION_CF_ACTIVATE = 0x00000001, MOTION_CF_FRAME = 0x00000002, MOTION_CF_LOOP = 0x00000004, MOTION_CF_TRANSITION = 0x00000008,
MOTION_CF_FRAME_INHERIT = 0x00000010, MOTION_CF_LOOP_INHERIT = 0x00000020, MOTION_CF_TRANSITION_INHERIT = 0x00000040, MOTION_CF_SET_ALL = ( MOTION_CF_FRAME | MOTION_CF_LOOP | MOTION_CF_TRANSITION ),
MOTION_CF_INHERIT = ( MOTION_CF_FRAME_INHERIT | MOTION_CF_LOOP_INHERIT | MOTION_CF_TRANSITION_INHERIT ), MOTION_CF_PLAY = ( MOTION_CF_ACTIVATE | MOTION_CF_SET_ALL ), MOTION_CF_PLAY_INHERIT = ( MOTION_CF_ACTIVATE | MOTION_CF_SET_ALL | MOTION_CF_INHERIT ), MOTION_CF_STOP = ( MOTION_CF_TRANSITION )
}

| モーションコマンドフラグ列挙定数 More...

enum

RENDERER_CAPABILITY_FLAG {
RCAP_WIDGET = 0x00000001, RCAP_DYNAMICS = 0x00000002, RCAP_ATMOSPHERE = 0x00000004, RCAP_SHADOW_MAPPING = 0x00000008,
RCAP_AMBIENT_OCCLUSION = 0x00000010, RCAP_LUMINOSITY = 0x00000020, RCAP_BLOOM = 0x00000040, RCAP_LIGHT_SHAFTS = 0x00000080,
RCAP_LENS_FLARE = 0x00000100, RCAP_CHROMATISM = 0x00000200, RCAP_DEPTH_OF_FIELD = 0x00000400, RCAP_ALL
}

| レンダラー能力フラグ列挙定数 More...
enum | RENDERER_SAMPLING_RESOLUTION { RSMPL_DEFAULT = 0, RSMPL_DOWN2X = 1, RSMPL_DOWN4X = 2 }
| レンダラー : サンプリング解像度列挙定数 More...
enum | WATER_CONTAINS_RESULT { WCR_UNKNOWN = 0, WCR_FRONT = 1, WCR_BACK = 2, WCR_OVERLAP = 3 }
| 水面との判定結果列挙定数 More...
enum | DYNAMICS_COLLIDER_MODE { DC_DEFAULT = 0, DC_STATIC = 1, DC_KINEMATIC = 2, DC_RAGDOLL = 3 }
| ダイナミクスコライダーモード列挙定数 More...
enum | DYNAMICS_KCHAR_MODE { DKC_RECEIVE = 0, DKC_CAST = 1 }
| ダイナミクスキネマティックキャラクターモード More...
enum | DEBUG_DRAW_METHOD { DDM_BEFORE = 0, DDM_AFTER = 1, DDM_XRAYS = 2 }
| デバッグ : 描画メソッド列挙定数 More...

enum

DEBUG_DRAW_FLAG {
DDF_OCTREE = 0x00000001, DDF_DIRLIGHT_SHAPE = 0x00000002, DDF_SPOTLIGHT_SHAPE = 0x00000004, DDF_SPOTLIGHT_BOUNDS = 0x00000008,
DDF_POINTLIGHT_SHAPE = 0x00000010, DDF_POINTLIGHT_BOUNDS = 0x00000020, DDF_SHADOW_BOUNDS = 0x00000040, DDF_WIDGET_GROUP_BOUNDS = 0x00000080,
DDF_PARTICLE_MESH = 0x00000100, DDF_PARTICLE_AXIS = 0x00000200, DDF_PARTICLE_BOUNDS = 0x00000400, DDF_PARTICLE_GENERATOR = 0x00000800,
DDF_PARTICLE_PROCESSOR = 0x00001000, DDF_PLANTER_MESH = 0x00002000, DDF_PLANTER_BOUNDS = 0x00004000, DDF_ACTORMODEL_MESH = 0x00008000,
DDF_ACTORMODEL_AXIS = 0x00010000, DDF_ACTORMODEL_BOUNDS = 0x00020000, DDF_ACTORMODEL_SKELETAL = 0x00040000, DDF_ACTORMODEL_KCHAR = 0x00080000,
DDF_ACTORMODEL_COLLIDER = 0x00100000, DDF_ACTORMODEL_SENSOR = 0x00200000, DDF_ACTORMODEL_JOINT = 0x00400000, DDF_TERRAINMODEL_MESH = 0x00800000,
DDF_TERRAINMODEL_BOUNDS = 0x01000000, DDF_WATERPOOL_BOUNDS = 0x02000000, DDF_PP_FILMIC = 0x04000000, DDF_PP_CHROMATISM = 0x08000000,
DDF_PP_LENS_DISTORTION = 0x10000000, DDF_FLOOR_COLLIDER = 0x20000000, DDF_GHOST_COLLIDER = 0x40000000, DDF_MESH = ( DDF_PLANTER_MESH | DDF_PARTICLE_MESH | DDF_ACTORMODEL_MESH | DDF_TERRAINMODEL_MESH ),
DDF_AXIS = ( DDF_PARTICLE_AXIS | DDF_ACTORMODEL_AXIS ), DDF_BOUNDS = ( DDF_SPOTLIGHT_BOUNDS | DDF_POINTLIGHT_BOUNDS | DDF_PARTICLE_BOUNDS | DDF_ACTORMODEL_BOUNDS | DDF_TERRAINMODEL_BOUNDS | DDF_WATERPOOL_BOUNDS | DDF_PLANTER_BOUNDS ), DDF_LIGHT_SHAPE = ( DDF_DIRLIGHT_SHAPE | DDF_SPOTLIGHT_SHAPE | DDF_POINTLIGHT_SHAPE ), DDF_LIGHT_BOUNDS = ( DDF_SPOTLIGHT_BOUNDS | DDF_POINTLIGHT_BOUNDS ),
DDF_LIGHT = ( DDF_LIGHT_SHAPE | DDF_LIGHT_BOUNDS ), DDF_DIRLIGHT = ( DDF_DIRLIGHT_SHAPE ), DDF_SPOTLIGHT = ( DDF_SPOTLIGHT_SHAPE | DDF_SPOTLIGHT_BOUNDS ), DDF_POINTLIGHT = ( DDF_POINTLIGHT_SHAPE | DDF_POINTLIGHT_BOUNDS ),
DDF_SHADOW = ( DDF_SHADOW_BOUNDS ), DDF_WIDGET = ( DDF_WIDGET_GROUP_BOUNDS ), DDF_PLANTER = ( DDF_PLANTER_MESH | DDF_PLANTER_BOUNDS ), DDF_PARTICLE = ( DDF_PARTICLE_MESH | DDF_PARTICLE_AXIS | DDF_PARTICLE_BOUNDS | DDF_PARTICLE_GENERATOR | DDF_PARTICLE_PROCESSOR ),
DDF_ACTORMODEL = ( DDF_ACTORMODEL_MESH | DDF_ACTORMODEL_AXIS | DDF_ACTORMODEL_BOUNDS | DDF_ACTORMODEL_SKELETAL | DDF_ACTORMODEL_KCHAR | DDF_ACTORMODEL_COLLIDER | DDF_ACTORMODEL_SENSOR | DDF_ACTORMODEL_JOINT ), DDF_TERRAINMODEL = ( DDF_TERRAINMODEL_MESH | DDF_TERRAINMODEL_BOUNDS ), DDF_WATERPOOL = ( DDF_WATERPOOL_BOUNDS ), DDF_FLOOR = ( DDF_FLOOR_COLLIDER ),
DDF_GHOST = ( DDF_GHOST_COLLIDER ), DDF_DYNAMICS
}

enum

DEBUG_DRAW_COLOR_TYPE {
DDC_COLLIDER_AROUSAL = 0, DDC_COLLIDER_ACTIVE = 1, DDC_COLLIDER_SLEEPY = 2, DDC_COLLIDER_REST = 3,
DDC_COLLIDER_DISABLE = 4, DDC_SENSOR = 5, DDC_KINEMATIC_CHARACTER = 6, DDC_JOINT_FRAME = 7,
DDC_JOINT_LIMIT = 8, DDC_BOUNDS = 9, DDC_OCTREE_NODE_BOUNDS = 10, DDC_OCTREE_OBJS_BOUNDS = 11,
DDC_LIGHT_SHAPE = 12, DDC_PARTICLE_QUAD = 13, DDC_ACTORMODEL_SKELETAL = 14, DDC_SM_CLIP_BOOUNDS = 15,
DDC_SM_CAST_BOOUNDS = 16, DDC_FILMIC_BG = 17, DDC_FILMIC_MEMORY = 18, DDC_FILMIC_CURVE = 19,
DDC_ABERRATION = 20
}

enum

DEBUG_PROFILE_TYPE {
DPT_GENERAL = 0, DPT_DYNAMICS = 1, DPT_OCTREE = 2, DPT_LIGHT = 3,
DPT_WATER_POOL = 4, DPT_WIDGET = 5, DPT_ACTOR_MODEL = 6, DPT_TERRAIN_MODEL = 7,
DPT_PROJ_SHADOW = 8, DPT_DRAW_OPACITY = 9, DPT_DRAW_NEUTRALITY = 10, DPT_DRAW_REFRACT = 11,
DPT_DRAW_TRANSPARENCY = 12, DPT_POST_PROCESS = 13
}

| デバッグ : プロファイルタイプ列挙定数 More...
enum | DEBUG_IMAGE_TYPE { DIT_DEPTH = 0, DIT_DATA = 1, DIT_AMBIENT_OCCLUSION = 2, DIT_SHADOW_MAPPING = 3, DIT_LUMINOSITY = 4, DIT_BLOOM = 5, DIT_LIGHT_SHAFTS = 6, DIT_LENS_FLARE = 7, DIT_CHROMATISM = 8, DIT_DOF = 9 }
| デバッグ : イメージ列挙定数 More...

## Functions

_MIX_DLL_API Mix::Scene::IManager * | GetManagerPtr (void)
| マネージャのポインタを取得します More...
_MIX_DLL_API Boolean | GetManager (Mix::Scene::IManager **ppManager)
| マネージャを取得します More...

## Detailed Description

シーン

## Enumeration Type Documentation

enum Mix::Scene::MOTION_CONSTANT

モーションの列挙定数

Enumerator
MOTION_INFINITE_LOOP | 無限ループ

enum Mix::Scene::MOTION_RT_FLAG

モーションのルートトランスフォームフラグ列挙定数

Enumerator
MOTION_RT_ROTATION | 回転
MOTION_RT_TRANSLATION | 移動

enum Mix::Scene::MOTION_CONDITION_FLAG

モーション状態フラグ列挙定数

Enumerator

MOTION_COND_WATING

待機中

Note
  コマンドキューの最後にある状態

MOTION_COND_ACTIVE

再生されている

Note
  このフラグ単体で設定されている場合( MOTION_COND_CURRENT は設定されていない )は、
  プレビアスモーション( トランジション終了後に停止状態になる )になります

MOTION_COND_CURRENT

カレントモーションである

Note
  MOTION_COND_ACTIVE とペアで設定されます

MOTION_COND_ALL | すべてのフラグ
MOTION_COND_CUR_ACTIVE | カレントモーションとして再生されている

enum Mix::Scene::MOTION_COMMAND_EXECUTE_TYPE

モーションコマンンド実行タイプ列挙定数

Enumerator

MOTION_CE_DEFAULT

遅延実行( 通常 )

Note
  待機中のコマンドが全て消化されるまで実行されません

MOTION_CE_EARLY

早期実行

Note
  現在待機中のコマンドを破棄し、トランジションの終了が確認され次第、実行します

MOTION_CE_FORCE

強制実行

Note
  現在待機中のコマンドを破棄し、トランジションを中断してから、実行します

enum Mix::Scene::MOTION_COMMAND_FLAG

モーションコマンドフラグ列挙定数

Enumerator
MOTION_CF_ACTIVATE | モーションを活性化します
MOTION_CF_FRAME | フレーム( MOTION_COMMAND::frame )を有効にします
MOTION_CF_LOOP | ループ( MOTION_COMMAND::loopCount )を有効にします
MOTION_CF_TRANSITION | トランジション( MOTION_COMMAND::transitionTimeLength )を有効にします

MOTION_CF_FRAME_INHERIT

フレームを引き継ぎます

Note
  MOTION_CF_ACTIVATE MOTION_CF_FRAME が指定されている必要があります

MOTION_CF_LOOP_INHERIT

ループを引き継ぎます

Note
  MOTION_CF_ACTIVATE MOTION_CF_LOOP が指定されている必要があります

MOTION_CF_TRANSITION_INHERIT

トランジションを引き継ぎます

Note
  MOTION_CF_ACTIVATE MOTION_CF_TRANSITION が指定されている必要があります

MOTION_CF_SET_ALL | フレーム、ループ、トランジションの全てを設定します

MOTION_CF_INHERIT

フレーム、ループ、トランジションを全て引き継ぎます

Note
  再生しようとしているモーションが、現在、もしくわ直前のモーションと同じだった場合に、引き継がれます。

MOTION_CF_PLAY | フレーム、ループ、トランジションを設定して再生
MOTION_CF_PLAY_INHERIT | フレーム、ループ、トランジションを設定して再生( 引継ぎ有り )
MOTION_CF_STOP | トランジションを設定して停止

enum Mix::Scene::RENDERER_CAPABILITY_FLAG

レンダラー能力フラグ列挙定数

Enumerator
RCAP_WIDGET | ウィジェット( パーティクル、プランター )
RCAP_DYNAMICS | ダイナミクスワールド
RCAP_ATMOSPHERE | 大気
RCAP_SHADOW_MAPPING | シャドウマッピング
RCAP_AMBIENT_OCCLUSION | アンビエントオクルージョン
RCAP_LUMINOSITY | 輝度による階調補正
RCAP_BLOOM | ブルーム
RCAP_LIGHT_SHAFTS | ライトシャフト
RCAP_LENS_FLARE | レンズフレア
RCAP_CHROMATISM | 色収差
RCAP_DEPTH_OF_FIELD | 被写界深度
RCAP_ALL | 全て

enum Mix::Scene::RENDERER_SAMPLING_RESOLUTION

レンダラー : サンプリング解像度列挙定数

Enumerator
RSMPL_DEFAULT | デフォルト
RSMPL_DOWN2X | スクリーンサイズの1/2
RSMPL_DOWN4X | スクリーンサイズの1/4

enum Mix::Scene::WATER_CONTAINS_RESULT

水面との判定結果列挙定数

Enumerator
WCR_UNKNOWN | 不明
WCR_FRONT | 水面より手前
WCR_BACK | 水面より奥
WCR_OVERLAP | 水面と重なっている

enum Mix::Scene::DYNAMICS_COLLIDER_MODE

ダイナミクスコライダーモード列挙定数

Enumerator

DC_DEFAULT

デフォルト

Note
  コライダーをモデルエディタで設定された状態にします。

DC_STATIC

スタティック

Note
  全てのコライダーを強制的にスタティック状態にします。

DC_KINEMATIC

キネマティック

Note
  全てのコライダーを強制的にキネマティック状態にします

DC_RAGDOLL

ラグドール

Note
  スタティック指定以外のコライダーをデフォルト状態にします

enum Mix::Scene::DYNAMICS_KCHAR_MODE

ダイナミクスキネマティックキャラクターモード

Enumerator

DKC_RECEIVE

受信

Note
  モデルのワールドトランスフォームをキネマティックキャラクターに反映します

DKC_CAST

投影

Note
  キネマティックキャラクターのワールドトランスフォームをモデルに反映します

enum Mix::Scene::DEBUG_DRAW_METHOD

デバッグ : 描画メソッド列挙定数

Enumerator

DDM_BEFORE

パーティクル、モデルを描画する前にデバッグ描画を行います

Note
  半透明ポリゴンの後方にあるものも描画されますが、ポストエフェクトの影響を受けます

DDM_AFTER

パーティクル、モデルを描画した後にデバッグ描画を行います

Note
  ポストエフェクトの影響を受けませんが、半透明ポリゴンの後方にあるものは描画されなくなります

DDM_XRAYS | 陰面処理を行わず、最前面にデバッグ描画を行います

enum Mix::Scene::DEBUG_DRAW_FLAG

Enumerator
DDF_OCTREE | 八分木 : 境界
DDF_DIRLIGHT_SHAPE | ディレクショナルライト : 形状
DDF_SPOTLIGHT_SHAPE | スポットライト : 形状
DDF_SPOTLIGHT_BOUNDS | スポットライト : 境界
DDF_POINTLIGHT_SHAPE | ポイントライト : 形状
DDF_POINTLIGHT_BOUNDS | ポイントライト : 境界
DDF_SHADOW_BOUNDS | シャドウ : 境界
DDF_WIDGET_GROUP_BOUNDS | ウィジェット : グループの境界
DDF_PARTICLE_MESH | パーティクル : メッシュ
DDF_PARTICLE_AXIS | パーティクル : 軸
DDF_PARTICLE_BOUNDS | パーティクル : 境界
DDF_PARTICLE_GENERATOR | パーティクル : ジェネレーター
DDF_PARTICLE_PROCESSOR | パーティクル : プロセッサー
DDF_PLANTER_MESH | プランター : メッシュ
DDF_PLANTER_BOUNDS | プランター : 境界
DDF_ACTORMODEL_MESH | アクターモデル : メッシュ
DDF_ACTORMODEL_AXIS | アクターモデル : 軸
DDF_ACTORMODEL_BOUNDS | アクターモデル : 境界
DDF_ACTORMODEL_SKELETAL | アクターモデル : 骨格
DDF_ACTORMODEL_KCHAR | アクターモデル : キネマティックキャラクタ
DDF_ACTORMODEL_COLLIDER | アクターモデル : コライダー
DDF_ACTORMODEL_SENSOR | アクターモデル : センサー
DDF_ACTORMODEL_JOINT | アクターモデル : ジョイント
DDF_TERRAINMODEL_MESH | テラインモデル : メッシュ
DDF_TERRAINMODEL_BOUNDS | テラインモデル : 境界
DDF_WATERPOOL_BOUNDS | ウォータープール : 境界
DDF_PP_FILMIC | ポストプロセス : フィルミック
DDF_PP_CHROMATISM | ポストプロセス : 色収差
DDF_PP_LENS_DISTORTION | ポストプロセス : 歪曲収差
DDF_FLOOR_COLLIDER | フロア : コライダー
DDF_GHOST_COLLIDER | ゴースト : コライダー
DDF_MESH | メッシュ
DDF_AXIS | 軸
DDF_BOUNDS | 境界
DDF_LIGHT_SHAPE | 全てのライトの形状
DDF_LIGHT_BOUNDS | 全てのライトの境界
DDF_LIGHT | 全てのライト
DDF_DIRLIGHT | ディレクショナルライト
DDF_SPOTLIGHT | スポットライト
DDF_POINTLIGHT | ポイントライト
DDF_SHADOW | シャドウ
DDF_WIDGET | ウィジェット
DDF_PLANTER | プランター
DDF_PARTICLE | パーティクル
DDF_ACTORMODEL | アクターモデル
DDF_TERRAINMODEL | テラインモデル
DDF_WATERPOOL | ウォータープール
DDF_FLOOR | フロア
DDF_GHOST | ゴースト
DDF_DYNAMICS | ダイナミクス

enum Mix::Scene::DEBUG_DRAW_COLOR_TYPE

Enumerator
DDC_COLLIDER_AROUSAL | コライダー : 常に活動状態
DDC_COLLIDER_ACTIVE | コライダー : 活動状態
DDC_COLLIDER_SLEEPY | コライダー : 休止になる手前の状態
DDC_COLLIDER_REST | コライダー : 休止状態
DDC_COLLIDER_DISABLE | コライダー : 無効( シミュレーションは行われていない )
DDC_SENSOR | センサー
DDC_KINEMATIC_CHARACTER | キネマティックキャラクター
DDC_JOINT_FRAME | ジョイント : フレーム
DDC_JOINT_LIMIT | ジョイント : リミット
DDC_BOUNDS | 境界
DDC_OCTREE_NODE_BOUNDS | オクトリー : ノードの境界
DDC_OCTREE_OBJS_BOUNDS | オクトリー : オブジェクトの境界
DDC_LIGHT_SHAPE | ライト : 形状
DDC_PARTICLE_QUAD | パーティル : 矩形
DDC_ACTORMODEL_SKELETAL | アクターモデル : 骨格
DDC_SM_CLIP_BOOUNDS | シャドウマッピング : クリップ境界
DDC_SM_CAST_BOOUNDS | シャドウマッピング : キャスト境界
DDC_FILMIC_BG | フィルミック : 背景
DDC_FILMIC_MEMORY | フィルミック : メモリ
DDC_FILMIC_CURVE | フィルミック : カーブ
DDC_ABERRATION | 色収差、歪曲収差の格子の色

enum Mix::Scene::DEBUG_PROFILE_TYPE

デバッグ : プロファイルタイプ列挙定数

Enumerator
DPT_GENERAL | 全体
DPT_DYNAMICS | ダイナミクス
DPT_OCTREE | 八分木
DPT_LIGHT | ライト
DPT_WATER_POOL | ウォータープール
DPT_WIDGET | ウィジェット
DPT_ACTOR_MODEL | アクターモデル
DPT_TERRAIN_MODEL | テラインモデル
DPT_PROJ_SHADOW | シャドウの投影
DPT_DRAW_OPACITY | 不透明の描画
DPT_DRAW_NEUTRALITY | 不透明の描画と屈折の描画の間に行われる描画
DPT_DRAW_REFRACT | 屈折の描画
DPT_DRAW_TRANSPARENCY | 半透明の描画
DPT_POST_PROCESS | ポストプロセス

enum Mix::Scene::DEBUG_IMAGE_TYPE

デバッグ : イメージ列挙定数

Enumerator
DIT_DEPTH | 深度

DIT_DATA

データ

Note
  RGB=ビュー法線
  A=スカイドームを除いたマスク

DIT_AMBIENT_OCCLUSION

アンビエントオクルージョン

Note
  0:カラー
  1:カラーのぼかし

DIT_SHADOW_MAPPING

シャドウマッピング

Note
  0:深度
  1:カラー
  2:カラーのぼかし

DIT_LUMINOSITY

ルミノシティ

Note
  0:現在の輝度
  1:順応した輝度

DIT_BLOOM

ブルーム

Note
  0:ブライトパス
  1以降:オーバーフロー

DIT_LIGHT_SHAFTS

ライトシャフト

Note
  0:ブライトパス
  1:カラー

DIT_LENS_FLARE

レンズフレア

Note
  0:ブライトパス
  1:カラー

DIT_CHROMATISM

色収差

Note
  0:カラーの差分

DIT_DOF

被写界深度

Note
  0:カラーのぼかし1
  1:カラーのぼかし2

## Function Documentation

_MIX_DLL_API Mix::Scene::IManager* Mix::Scene::GetManagerPtr | ( | void |  | ) |

マネージャのポインタを取得します

Returns
  マネージャを表す Mix::Scene::IManager インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::Scene::GetManager | ( | Mix::Scene::IManager ** | ppManager | ) |

マネージャを取得します

Parameters

  [out] | ppManager | マネージャを表す Mix::Scene::IManager インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したマネージャは参照カウンタを +1 します。